mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(false)

The method returns an array of the substrings in a given string that are delimited by specified characters or strings. Adjacent delimiters yield an array element that contains an empty string (""). The values of the enumeration specify whether an array element that contains an empty string is included in the returned array.

Specify the value to invoke the default behavior of the method, which is to return an array of both empty substrings and substrings that are not empty. Specify the value to cause the method to return an array consisting solely of substrings that are not empty.

Specifies whether applicable method overloads include or omit empty substrings from the return value.

- Field
  2.0.0.0
  4.0.0.0
  System.StringSplitOptions

  The return value includes array elements that contain an empty string

- Field
  2.0.0.0
  4.0.0.0
  System.StringSplitOptions

  The return value does not include array elements that contain an empty string